| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
UartConfig Struct Reference

UART configuration structure. More...

`#include <fsl_uart_hal.h>`

Collaboration diagram for UartConfig:

## Data Fields
uint32 | uartSourceClockInHz
uint32 | baudRate
uart_parity_mode_t | parityMode
uart_stop_bit_count_t | stopBitCount
uart_bit_count_per_char_t | bitCountPerChar
unsigned | rxDataInvert: 1
unsigned | txDataInvert: 1

## Detailed Description

UART configuration structure.

This structure contains the settings for the most common UART configurations including the UART module source clock, baud rate, parity mode, stop bit count, data bit count per character, and tx/rx inversion options (which is the least common of the configuration).

Definition at line 135 of file fsl_uart_hal.h.

## Field Documentation

uint32 baudRate

UART baud rate

Definition at line 137 of file fsl_uart_hal.h.

Referenced by uart_adapter_configure().

uart_bit_count_per_char_t bitCountPerChar

Number of bits, 8-bit (default) or 9-bit in a word (up to 10-bits in some UART instances)

Definition at line 141 of file fsl_uart_hal.h.

Referenced by uart_adapter_configure().

uart_parity_mode_t parityMode

Parity mode, disabled (default), even, or odd

Definition at line 138 of file fsl_uart_hal.h.

Referenced by uart_adapter_configure().

unsigned rxDataInvert

Receive Data Inversion: 0 - not inverted (default), 1 - inverted

Definition at line 144 of file fsl_uart_hal.h.

uart_stop_bit_count_t stopBitCount

Number of stop bits, 1 stop bit (default) or 2 stop bits

Definition at line 139 of file fsl_uart_hal.h.

Referenced by uart_adapter_configure().

unsigned txDataInvert

Transmit Data Inversion: 0 - not inverted (default), 1 - inverted

Definition at line 146 of file fsl_uart_hal.h.

uint32 uartSourceClockInHz

UART module source clock in Hz

Definition at line 136 of file fsl_uart_hal.h.

The documentation for this struct was generated from the following file:

- ISF/ProtocolAdapter/Include/fsl_uart_hal.h

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.